Uploaded image for project: 'FreeNAS / TrueNAS'
  1. FreeNAS / TrueNAS
  2. NAS-101270

Replace old iocage mountpoints with current structure if the new source/destination directory exists

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Done (View Workflow)
    • Priority: Low
    • Resolution: Complete
    • Affects Version/s: None
    • Fix Version/s: 11.2-U4
    • Component/s: WebUI
    • Labels:
      None

      Description

      My Jails wont mount to start jails. I can't figure out how to fix this.

      mount: /mnt/iocage: No such file or directory jail: /sbin/mount -t nullfs -o ro /mnt/iocage/releases/11.2-RELEASE/root/bin /mnt/iocage/jails/sonarr/root/bin: failed

      Error: concurrent.futures.process._RemoteTraceback:
      """
      Traceback (most recent call last):
      File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
      r = call_item.fn(*call_item.args, **call_item.kwargs)
      File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 128, in main_worker
      res = loop.run_until_complete(coro)
      File "/usr/local/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
      return future.result()
      File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 88, in _run
      return await self._call(f'

      {service_name}

      .

      {method}

      ', serviceobj, methodobj, params=args, job=job)
      File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 81, in _call
      return methodobj(*params)
      File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 81, in _call
      return methodobj(*params)
      File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 668, in nf
      return f(*args, **kwargs)
      File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 609, in start
      iocage.start()
      File "/usr/local/lib/python3.6/site-packages/iocage_lib/iocage.py", line 1663, in start
      callback=self.callback
      File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_start.py", line 66, in _init_
      self._start_jail_()
      File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_start.py", line 401, in _start_jail_
      silent=self.silent)
      File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_common.py", line 90, in logit
      _callback(content, exception)
      File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_common.py", line 64, in callback
      raise callback_exception(message)
      RuntimeError: mount: /mnt/iocage: No such file or directory
      jail: /sbin/mount -t nullfs -o ro /mnt/iocage/releases/11.2-RELEASE/root/bin /mnt/iocage/jails/sonarr/root/bin: failed

      """

      The above exception was the direct cause of the following exception:

      Traceback (most recent call last):
      File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 165, in call_method
      result = await self.middleware.call_method(self, message)
      File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1141, in call_method
      return await self._call(message['method'], serviceobj, methodobj, params, app=app, io_thread=False)
      File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1078, in _call
      return await self._call_worker(serviceobj, name, *args)
      File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1105, in _call_worker
      job,
      File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1036, in run_in_proc
      return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
      File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1021, in run_in_executor
      return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
      RuntimeError: mount: /mnt/iocage: No such file or directory
      jail: /sbin/mount -t nullfs -o ro /mnt/iocage/releases/11.2-RELEASE/root/bin /mnt/iocage/jails/sonarr/root/bin: failed

        Attachments

        1. mp1.png
          mp1.png
          26 kB
        2. MP1.png
          MP1.png
          27 kB
        3. mp2.png
          mp2.png
          20 kB
        4. MP2.png
          MP2.png
          27 kB

          Attachments

            Issue Links

              Activity

                People

                Assignee:
                brandon Brandon Schneider (Inactive)
                Reporter:
                damatt2000@gmail.com Matthew Cox
                Votes:
                1 Vote for this issue
                Watchers:
                8 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved:

                    Summary Panel